Print Friendly

# Class YAHOO.widget.TVAnim

Package: | YAHOO.widget
Class: | TVAnim
Extends: | Object
Defined In: | treeview.js

A static factory class for tree view expand/collapse animations

## Public Properties

Property | Defined By
--- | ---
| FADE_IN : string | TVAnim
<static> Constant for the fade in animation
| FADE_OUT : string | TVAnim
<static> Constant for the fade out animation

## Public Methods

Method | Defined By
--- | ---
| getAnim(`type {string}`, `el {HTMLElement}`, `callback {function}`) : YAHOO.util.Animation | TVAnim
<static> Returns a ygAnim instance of the given type
| isValid(`type {string}`) : boolean | TVAnim
<static> Returns true if the specified animation class is available

## Public Events

This class has no public events.

## Property Details

### FADE_IN

`public string FADE_IN`
<static> Constant for the fade in animation
This property is defined by TVAnim.

### FADE_OUT

`public string FADE_OUT`
<static> Constant for the fade out animation
This property is defined by TVAnim.

## Method Details

### getAnim

`public function getAnim(`type {string}`, `el {HTMLElement}`, `callback {function}`)`
<static> Returns a ygAnim instance of the given type
Parameters:

- `{string}` : type
  the type of animation
- `{HTMLElement}` : el
  the element to element (probably the children div)
- `{function}` : callback
  function to invoke when the animation is done.

Returns:

- `YAHOO.util.Animation`
  the animation instance

This method is defined by TVAnim.

### isValid

`public function isValid(`type {string}`)`
<static> Returns true if the specified animation class is available
Parameters:

- `{string}` : type
  the type of animation

Returns:

- `boolean`
  true if valid, false if not

This method is defined by TVAnim.

Copyright © 2006 Jack Slocum. All rights reserved.